summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build-test.sh b/build-test.sh
new file mode 100755
index 00000000..3e920bb8
--- /dev/null
+++ b/build-test.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+failed=0;
+
+# Default Build
+(make) || failed=1;
+
+# Test additional options
+(make USE_CODEC_VORBIS=1 USE_FREETYPE=1 CFLAGS=-DRAVENMD4) || failed=1;
+
+# Test mingw
+(exec ./cross-make-mingw.sh) || failed=1;
+
+if [ $failed -eq 1 ]; then
+ echo "Build failure.";
+else
+ echo "All builds successful.";
+fi
+
+exit $failed;
+